tvtime-configure(1)

NAME
tvtime-configure - change settings in the tvtime configuration file

SYNOPSIS

tvtime-configure [ OPTION ] ...

DESCRIPTION

tvtime-configure allows a user to set configuration settings for tvtime without starting the application. This is useful for installation programs such as debconf to let them configure tvtime without having to write a parser for the configuration file. The command line options are a subset of those for tvtime itself.

OPTIONS

-a, --widescreen
    This option starts tvtime in 16:9 aspect ratio mode.

-A, --nowidescreen
    This option starts tvtime in 4:3 aspect ratio mode.

-h, --help
    Show usage information.

-m, --fullscreen
    Start tvtime in fullscreen mode.

-M, --window
    Start tvtime in windowed mode.

-p, --fspos=POS
    Set the fullscreen window position. Use this if you have a projector to help tvtime fit properly onto your screen.
    • | top
    • | bottom
    • | centre (default)

-F, --configfile=FILE
    Additional config file to load settings from.

-H, --height=HEIGHT
    Sets the height of the output window to start up at in scanlines. The default output window size is 576 scanlines.

-I, --inputwidth=SAMPLING
    V4L input scanline sampling (defaults to 720. This sets how many pixels per scanline to request from the capture card. A higher setting gives better quality, while a lower setting means we do less work, and so tvtime will run faster. If you have a slower CPU (like, less than 500Mhz or so), maybe values of 480 or 400 might suit you best. For best quality, choose a high value like 720 or 768. Many capture cards cannot sample higher than 768 pixels per scanline.

-d, --device=NAME
    video4linux device to use (defaults to /dev/video0).

-b, --vbidevice=DEVICE
    VBI device to use (defaults to /dev/vbi0).

-i, --input=INPUTNUM
    video4linux input number (defaults to 0). Cards commonly have a bunch of sources, for example, on my WinTV card, source 0 is my tuner and source 1 is the composite input.

-c, --channel=CHANNEL
    On startup, tvtime will tune to the given channel. Otherwise, the channels from the config file will be used.

-n, --norm=NORM
    The mode to set the tuner to (defaults to NTSC). Valid modes are:
    • | NTSC
    • | PAL
    • | SECAM
    • | PAL-NC
    • | PAL-M
    • | PAL-N
    • | NTSC-JP

-f, --frequencies=NAME
    The channels you are receiving with the tuner (defaults to us-cable). Valid values are:
    • | us-cable
    • | us-broadcast
    • | japan-cable
    • | japan-broadcast
    • | europe
    • | australia
    • | australia-optus
    • | newzealand
    • | france
    • | russia

-R, --priority=PRI
    Sets the process priority (see nice(1)) that tvtime should be run at.

-t, --xmltv=FILE
    Reads XMLTV listings from the given file to display on the OSD. Channels are looked up based on their name, and tvtime will display the show title, sub-title and show description on the OSD.

-l, --xmltvlanguage=LANG
    Use XMLTV data in given language, if available. Languages are represented by their two-letter language code (for example, "de" for German). The default language used in the file will be used if this is unset or set to "none"

-x, --mixer=DEVICE[:CH]
    The mixer device and channel for the volume controls. (defaults to /dev/mixer:line). Valid channels are:
    • | vol
    • | bass
    • | treble
    • | synth
    • | pcm
    • | speaker
    • | line
    • | mic
    • | cd
    • | mix
    • | pcm2
    • | rec
    • | igain
    • | ogain
    • | line1
    • | line2
    • | line3
    • | dig1
    • | dig2
    • | dig3
    • | phin
    • | phout
    • | video
    • | radio
    • | monitor

AUTHORS

Billy Biggs.

SEE ALSO

tvtime(1), tvtime.xml(5),